Subject: Re: [PATCH net-next 08/11] net: stmmac: Add EMAC3 variant of dwmac4

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Mar 2023 17:39:04 -0700

On Mon, 13 Mar 2023 11:56:17 -0500 Andrew Halaney wrote:
> EMAC3 is a Qualcomm variant of dwmac4 that functions the same, but has a
> different address space layout for MTL and DMA registers. This makes the
> patch a bit more complicated than we would like so let's explain why the
> current approach was used.

Please drop all the static inlines in C sources, you're wrapping 
a single function call, the compiler will do the right thing.

Please no more than 6 function arguments.